# Copyright 2017, Google Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

""" Configurable constants for the bm_*.py family """

_AVAILABLE_BENCHMARK_TESTS = [
  'bm_fullstack_unary_ping_pong', 'bm_fullstack_streaming_ping_pong',
  'bm_fullstack_streaming_pump', 'bm_closure', 'bm_cq', 'bm_call_create',
  'bm_error', 'bm_chttp2_hpack', 'bm_chttp2_transport', 'bm_pollset',
  'bm_metadata', 'bm_fullstack_trickle'
]

_INTERESTING = ('cpu_time', 'real_time', 'locks_per_iteration',
        'allocs_per_iteration', 'writes_per_iteration',
        'atm_cas_per_iteration', 'atm_add_per_iteration',
        'nows_per_iteration', 'cli_transport_stalls_per_iteration', 
        'cli_stream_stalls_per_iteration', 'svr_transport_stalls_per_iteration',
        'svr_stream_stalls_per_iteration',)
